- [HTTP request](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/delete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/delete#body.request_body)
- [Response body](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/delete#body.aspect)
- [IAM Permissions](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/delete#body.aspect_1)

Deletes the specified SelectedRoute for the specified project.

### HTTP request

`DELETE https://roads.googleapis.com/selection/v1/{name=projects/*/selectedRoutes/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the SelectedRoute to delete. Format: projects/{project}/selectedRoutes/{selectedRoute} |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `roads.selectedRoutes.delete`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).